Subject: Re: I still heavily use git whatchanged after more than 10 years

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Apr 2026 10:18:00 -0700

Chester <[email-masked]> writes:

> Dear Git developers,
>
> I saw the message that git whatchanged is now nominated for removal
> and requires the --i-still-use-this flag.

You should have seen:

    $ git whatchanged
    'git whatchanged' is nominated for removal.

    hint: You can replace 'git whatchanged <opts>' with:
    hint:	git log <opts> --raw --no-merges
    hint: Or make an alias:
    hint:	git config set --global alias.whatchanged 'log --raw --no-merges'

    If you still use this command, here's what you can do:

    - read https://git-scm.com/docs/BreakingChanges.html
    - check if anyone has discussed this on the mailing
      list and if they came up with something that can
      help you: https://lore.kernel.org/git/?q=git%20whatchanged
    - send an email to <[email-masked]> to let us
      know that you still use this command and were unable
      to determine a suitable replacement

    fatal: refusing to run without --i-still-use-this

> I understand that it can be replaced with git log --raw --no-merges,
> but after so many years, git whatchanged just feels more natural and
> quicker to type for my use case.

You are asked to send a message to this list whene you were unable
to determine a suitable replacement, but it is hard to believe that
is the case with your use case.

The "alias" hint above seems to give exactly the suitable
replacement to help folks who cannot adjust due to the muscle
memory.